/* 
	https://de.wikipedia.org/wiki/Schneepflug
	https://en.wikipedia.org/wiki/SnowPlough (or SnowPlow (AE))

	Schildträger, also das Ding, an dem der Schild befestigt wird - von Drehachse bis Car-Chassis
	
ToDo:
	- Rastung doppelt so fein machen!--DONE
	
*/

/* Modules */
include <../Modules/Module_Geometrical_Objects.scad>;

/* Globals */
$fn=90;
gMS=8.0;
gSchildDia=75;
//gSchildTraegerSeitenLaenge1=80;
//gSchildTraegerSeitenLaenge2=gSchildDia*1.0;
gScrewHoleDia=4.4; // fitting M4
gScrewHoleDiaNoNut=3.95; // fitting M4, when not using nut 
//gSchildTraegerVerbinderLaenge=100;
gSchildTraegerDurchmesser=32;
gSchildTraegerLaenge=40;
gSchildTraegerBreite=50;
gSchildTraegerVerbinderSlotWidth=3.0-0.2;
gSchildTraegerVerbinderSlotHeight=2.0;
gGelenkDepth=10;
gSpace=0.5; // 0.4 in v6
gLeverHeight=23;

if (1)
{
	//translate([30, 0, 0])
	schildTraeger1();
}

// Der Teil zum Schildverbinder hin (z-Drehgelenk für Schild-Drehung)
module schildTraeger1()
{
	difference()
	{
		union()
		{
		//	translate([gSchildTraegerLaenge/2, 0, gMS/2])
			hull()
			{
				cylinder(d=gSchildTraegerDurchmesser, h=gMS);
				
				translate([gSchildTraegerLaenge, 0, gMS/2])
				cube([gSchildTraegerLaenge, gSchildTraegerBreite, gMS], center=true);
			} // hull
			
			/* Rastung */
			translate([0, 0, gMS])
			intersection()
			{
				for (a=[0:15:360])
				{
					rotate([0, 0, a])
					translate([0, 20, 0])
	//				cube([gSchildTraegerVerbinderSlotWidth, 23, gSchildTraegerVerbinderSlotHeight], center=true);
					rotate([90, 0, 0])
					cylinder(d=gSchildTraegerVerbinderSlotWidth, h=23, center=true);
				}
				
				cylinder(d=gSchildTraegerDurchmesser, h=gMS*+gSchildTraegerVerbinderSlotHeight);
			} // intersect
			
			/* Hebel für das Anheben */
			translate([gSchildTraegerLaenge, gSchildTraegerBreite/2-gMS/2, gMS+gLeverHeight/2])
			difference()
			{
				cube([gMS*2, gMS*1, gLeverHeight], center=true);
				
				translate([0, -gMS/2, gLeverHeight/2-gScrewHoleDia])
				rotate([-90, 0, 0])
				cylinder(d=gScrewHoleDia, h=gMS);
			}
			
		} // union
	
		/* Drehachse */
		//translate([0, 0, 0])
		cylinder(d=gScrewHoleDia, h=gMS);
		
		/* Gelenk für den Anhebe-Mechanismus */
		translate([gSchildTraegerLaenge*1.5-0.5*gGelenkDepth, 0, gMS/2])
		cube([gGelenkDepth, gSchildTraegerBreite-gMS-gMS+gSpace, gMS], center=true);
			translate([gSchildTraegerLaenge*1.5-gGelenkDepth/2, gSchildTraegerBreite/2, gMS/2])
			rotate([90, 0, 0])
			cylinder(d=gScrewHoleDia, h=gSchildTraegerBreite);
	}
}

